# KingMetal Project Template

### Installation via dotnet new template

```bash
dotnet new -i KingMetal.Orleans.Solution.Template::1.0.x
```

### Create new project:

```bash
dotnet new king-sln --name "HsCrm" --dbTPrefix "gt_" --appName "crm" --port 5003 --connectionString "Your ConnectionString"
```

Project template options:

```bash
--name: [string value] for project name
--dbTPrefix: [string value] The prefix of DataBase table(for example: [gi_]).
--connectionString: [string value] The ConnectionString of DataBase.
--appName: [string value] The short name of application(for example: [crmorder...]).
--port: [int value] The http port of the web api (for example: [5000]).
--siloPort: [int value] The Silo Port of the Silo Host (for example: 7210).
--gatewayPort: [int value] The Gateway Port of the Silo Host (for example: 20110).
--dashboardPort: [int value] The Dashboard Port of the Orleans (for example: 31520).
```

### Running in Visual Studio

- Set Startup projects:
 - xxx.Presentation.Host
 - xxx.Presentation.Api
